#CONTENTS OF THIS FILE

- Introduction
- Requirements
- Recommended modules
- Installation
- Configuration
- Maintainers

#INTRODUCTION

The Glider.js module lets you create sliders using the glider.js javascript
library in your drupal projects. You can use the Glider.js field formatter in
the image fields, or create a view and use the Glider.js view style for the
slider creation.

- For a full description of the module, visit the project page:
  <https://www.drupal.org/project/gliderjs>

- To submit bug reports and feature suggestions, or to track changes:
  <https://www.drupal.org/project/issues/search/gliderjs>

#REQUIREMENTS

The Glider.js library is needed in order to use the module.

#RECOMMENDED MODULES

- Markdown <https://www.drupal.org/project/markdown>:
  Improves the module help page formatting the README file into valid HTML.

#INSTALLATION

Composer (Option 1)

- Add to the module composer.json file to your drupal composer.json file in
  the extra section, your file should look like this:

  ```sh
  "extra": {
    "merge-plugin": {
      "include": [
        "core/composer.json",
        "modules/custom/gliderjs/composer.json"
      ],
    },
  }
  ```

- Run 'composer install' and composer will install the Glider.js library.

  Composer (Option 2)

- Run: composer require 'drupal/gliderjs:1.0.x-dev@dev'

- Run 'composer install' and composer will install the Glider.js library.

  Manually (Option 3)

- Go to <https://github.com/NickPiscitelli/Glider.js> and download the library

- Unzip and copy the folder to /libraries, so you will have the library in the
  following path /libraries/glider-js/glider.min.js.

  Final Step for all the options.

- Install as you would normally install a contributed Drupal module.
  See: <https://www.drupal.org/docs/8/extending-drupal-8/installing-modules>
  for further information.

#CONFIGURATION

- Using the Glider.js field formatter:
  - To use the field formatter you need to create a new content type or use an
    existing one having an image field or an entity reference field. Go to
    /admin/structure/types/manage/YOUR_CONTENT_TYPE/display and set the
    formatter for your image field as Glider.js, and then you will be able
    to set the different configurations.

- Using the Glider.js views style:
  - To use the views style you need to create or edit an existing view and
    select Glider.js as the format. Then in the format settings, you will be
    able to set the different configurations.

#MAINTAINERS

Current maintainers:
- Adrian Cid Almaguer (adriancid) - <https://www.drupal.org/u/adriancid>
- Scott Joudry (slydevil) - <https://www.drupal.org/u/slydevil>
- Kyle Samson (ksam902) - <https://www.drupal.org/u/ksam902>
- Zack Shave (zshave) - <https://www.drupal.org/u/zshave>
